﻿@model  EnergyMission.Domain.Entities.SiteEntity
@{
    string actionName = (string)ViewData["ActionName"];
    EnergyMission.Web.Common.Common cs = new EnergyMission.Web.Common.Common();
}

@using (Html.BeginForm("Creates", "Sites", FormMethod.Post))
{
    @Html.AntiForgeryToken()
    @Html.HiddenFor(model => model.Id)



    <div class="bottom delete locationBottom">
        <div class="left">
            <label class="name">Site Name*</label> 
            <div class="select-btn3">
                @Html.TextBoxFor(model => model.Name)
                <div class="error-msg">

                    @Html.ValidationMessageFor(m => m.Name, "", new { @class = "error-message eql_height" })
                </div>
            </div>           
          

            <div class="clearfix"></div>
            <label class="name">Location</label>
            <div class="select-btn3">
                @Html.DropDownListFor(model => model.LocationId, cs.LocationList, "Select Location", new { @class = "my-dropdown" })
                <div class="error-msg">
                   
                    @Html.ValidationMessageFor(m => m.LocationId, "", new { @class = "error-message eql_height" })
                </div>
            </div>
            </div>
            <div class="clearfix"></div>
        </div>
    <div class="bottom delete LocationMappings">
        <div class="fullWidth">
            <input class="save button" name="button" type="submit" value="Save Site" />
            <input class="done button restore" name="button" onclick="cancelall();" type=" button" value="Cancel" />
            <input class="done button" id="GotoList" name="button" type="button" value="Done" />
        </div>
    </div>
			<!-- End Bottom Details -->
		
   







}
